# $Revision: 1.17 $, $Date: 2012/04/02 10:22:09 $
Summary:	ppp plugin reading passwords from ifcfg
Summary(pl.UTF-8):	Wtyczka ppp czytająca hasła z ifcfg
Name:		ppp-plugin-ifcfg-password
Version:	0.1
Release:	8
License:	distributable
Group:		Networking/Daemons
Source0:	ftp://dev.null.pl/pub/%{name}-%{version}.tar.gz
# Source0-md5:	926c7fc7bd73fcec8769dfcda66247d7
BuildRequires:	ppp-plugin-devel >= 2.4.1
BuildRequires:	rpmbuild(macros) >= 1.145
Requires:	ppp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ppp plugin reading passwords from ifcfg.

%description -l pl.UTF-8
Wtyczka ppp czytająca hasła z ifcfg.

%prep
%setup -q

rm -f *.h
ln -sf /usr/include/pppd/*.h .

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags} -shared" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -fPIC -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/pppd/plugins
install -p ifcfg-password.so $RPM_BUILD_ROOT%{_libdir}/pppd/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/pppd/plugins/ifcfg-password.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ppp-plugin-ifcfg-password.spec,v $
Revision 1.17  2012/04/02 10:22:09  glen
- use unversioned ppp plugins dir

Revision 1.16  2010/05/31 15:46:03  sparky
- typo

Revision 1.15  2010/05/23 19:18:37  arekm
- rpmcppflags

Revision 1.14  2010/05/23 19:16:22  arekm
- release 7

Revision 1.13  2008/07/27 22:24:52  arekm
- release 6

Revision 1.12  2007-02-13 08:06:41  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.10  2006/08/09 18:22:11  arekm
- rel 5

Revision 1.9  2006/08/04 14:41:27  sparky
- pass rpmldflags

Revision 1.8  2004/05/23 12:48:09  qboosh
- lib64 support, release 4

Revision 1.7  2004/05/23 12:27:10  qboosh
- workaround for broken macros on ac-src

Revision 1.6  2004/04/01 18:23:12  qboosh
- fixed build with ppp > 2.4.1; release 3
- BR rpmbuild with working requires_eq_to macro

Revision 1.5  2004/01/30 08:47:26  averne
- changed ppp to 2.4.2
- release 2 to rebuild with new ppp

Revision 1.4  2003/05/28 14:23:32  malekith
- don't define version macro

Revision 1.3  2003/05/26 16:25:51  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 06:25:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/03/19 12:10:41  wojtekka
- initial release
